Subject: [Stackevo] FW: I-D Action: draft-iab-protocol-transitions-00.txt

From: Dave Thaler <[email-masked]>
Date: Mon, 2 Nov 2015 08:43:38 +0000

FYI, feedback on draft-iab-protocol-transitions...

-----Original Message-----
From: Brian E Carpenter [mailto:[email-masked]] 
Sent: Monday, October 19, 2015 11:03 AM
To: Dave Thaler <[email-masked]>
Subject: Re: I-D Action: draft-iab-protocol-transitions-00.txt

Hi Dave,

Off-list but you may forward as you wish.

> 4.  Translation Plans

I think that section title is an entertaining slip of the keyboard.

> 5.  Security Considerations

I agree that translators can be targets for attack. But I think coexistence in general increases risk: viewed globally, it doubles the attack surface, and allows attacks that exploit the weaker of the two protocols by claiming not to understand the stronger one.

Also, I think there's quite a lot of resonance between transition issues and extension issues, so you might find some of the thinking in RFC 6709 to be relevant. For a start, a protocol with well designed extensibility could avoid the need for any transition; and a protocol with poor extensibility might be the direct cause of a transition.

I'm thinking that this document needs some case studies; most of the meat in RFC 6709 came from the case studies.

Regards
   Brian